[arch-commits] Commit in libreoffice-fresh-i18n/repos (2 files)

Andreas Radke andyrtr at archlinux.org
Fri Mar 17 14:41:23 UTC 2017


    Date: Friday, March 17, 2017 @ 14:41:22
  Author: andyrtr
Revision: 290999

archrelease: copy trunk to testing-any

Added:
  libreoffice-fresh-i18n/repos/testing-any/
  libreoffice-fresh-i18n/repos/testing-any/PKGBUILD
    (from rev 290998, libreoffice-fresh-i18n/trunk/PKGBUILD)

----------+
 PKGBUILD |  533 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 533 insertions(+)

Copied: libreoffice-fresh-i18n/repos/testing-any/PKGBUILD (from rev 290998, libreoffice-fresh-i18n/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2017-03-17 14:41:22 UTC (rev 290999)
@@ -0,0 +1,533 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+
+pkgbase=libreoffice-fresh-i18n
+
+pkgver=5.3.1
+pkgrel=1
+_rcver=${pkgver}.2
+#_oodlver=${pkgver}.0.beta1
+_oodlver=${pkgver}
+
+arch=('any')
+url="http://www.documentfoundation.org"
+license=('LGPL')
+
+#https://download.documentfoundation.org/mirrors/all.html
+_url="https://download.documentfoundation.org/libreoffice/stable"
+#_url="https://download.documentfoundation.org/libreoffice/testing"
+#_url="https://dev-builds.libreoffice.org/pre-releases"
+#_url="https://www.libreoffice.org/download/pre-releases"
+
+#_url+="/${pkgver}-rc2/rpm/x86"
+_url+="/${pkgver}/rpm/x86"
+#_url+="/rpm/x86"
+
+_languages=(
+  'af            "Afrikaans"'
+  'am            "Amharic"'
+  'ar            "Arabic"'
+  'as            "Assamese (India)"'
+  'ast           "Asturianu"'
+  'be            "Belarusian"'
+  'bg            "Bulgarian"'
+  'bn            "Bengali"'
+  'bn-IN         "Bengali (India)"'
+  'bo            "Tibetan"'
+  'br            "Breton"'
+  'brx           "Bodo"'
+  'bs            "Bosnian"'
+  'ca            "Catalan"'
+  'ca-valencia   "Catalan (Valencia)"'
+  'cs            "Czech"'
+  'cy            "Welsh"'
+  'da            "Danish"'
+  'de            "German"'
+  'dgo           "Dogri"'
+  'dz            "Dzongkha"'
+  'el            "Greek"'
+  'en-GB         "English (GB)"'
+  'en-ZA         "English (ZA)"'
+  'eo            "Esperanto"'
+  'es            "Spanish"'
+  'et            "Estonian"'
+  'eu            "Basque"'
+  'fa            "Persian"'
+  'fi            "Finnish"'
+  'fr            "French"'
+  'ga            "Irish"'
+  'gd            "Gaelic (Scottish)"'
+  'gl            "Galician"'
+  'gu            "Gujarati"'
+  'he            "Hebrew"'
+  'hi            "Hindi"'
+  'hr            "Croatian"'
+  'hu            "Hungarian"'
+  'id            "Indonesian"'
+  'is            "Icelandic"'
+  'it            "Italian"'
+  'ja            "Japanese"'
+  'ka            "Georgian"'
+  'kk            "Kazakh"'
+  'km            "Khmer (Cambodia)"'
+  'kmr-Latn      "Kurdish"'
+  'kn            "Kannada"'
+  'ko            "Korean"'
+  'kok           "Konkani"'
+  'ks            "Kashmiri"'
+  'lb            "Luxembourgish"'
+  'lo            "Lao"'
+  'lt            "Lithuanian"'
+  'lv            "Latvian"'
+  'mai           "Maithili"'
+  'mk            "Macedonian"'
+  'ml            "Malayalam"'
+  'mn            "Mongolian"'
+  'mni           "Manipuri"'
+  'mr            "Marathi"'
+  'my            "Burmese"'
+  'nb            "Norwegian Bokmal"'
+  'ne            "Nepali"'
+  'nl            "Dutch"'
+  'nn            "Norwegian Nynorsk"'
+  'nr            "Ndebele (South)"'
+  'nso           "Northern Sotho"'
+  'oc            "Occitan"'
+  'om            "Oromo"'
+  'or            "Oriya"'
+  'pa-IN         "Punjabi (India)"'
+  'pl            "Polish"'
+  'pt            "Portuguese"'
+  'pt-BR         "Portuguese (Brasil)"'
+  'ro            "Romanian"'
+  'ru            "Russian"'
+  'rw            "Kinyarwanda"'
+  'sa-IN         "Sanskrit (India)"'
+  'sat           "Santali"'
+  'sd            "Sindhi"'
+  'si            "Singhalese"'
+  'sid           "Sidama"'
+  'sk            "Slovak"'
+  'sl            "Slovenian"'
+  'sq            "Albanien"'
+  'sr            "Serbian"'
+  'sr-Latn       "Serbian (Latin)"'
+  'ss            "Swati"'
+  'st            "Southern Sotho"'
+  'sv            "Swedish"'
+  'sw-TZ         "Swahili (Tanzania)"'
+  'ta            "Tamil"'
+  'te            "Telugu"'
+  'tg            "Tajik"'
+  'th            "Thai"'
+  'tn            "Tswana"'
+  'tr            "Turkish"'
+  'ts            "Tsonga"'
+  'tt            "Tatar"'
+  'ug            "Uighur"'
+  'uk            "Ukrainian"'
+  'uz            "Uzbek"'
+  've            "Venda"'
+  'vi            "Vietnamese"'
+  'xh            "Xhosa"'
+  'zh-CN         "Chinese (simplified)"'
+  'zh-TW         "Chinese (traditional)"'
+  'zu            "Zulu"'
+)
+sha256sums=('1fa59acbb9985a11a0bb6a459e709779acc3c5145818ce271bde8d3a91e588f1'
+            'SKIP'
+            '0c13767f2ad55122cd1e70d1b95b662cc139936887c4a80f6c349600b9346f40'
+            'SKIP'
+            '03c892d0b1bbacab0a943f5b7d59586c713f559cff4b1e33309de6d9d6f487fe'
+            'SKIP'
+            '56fabe947fa73c1890eda5e90f4b8e4440d7057607959000300aab42da46bf23'
+            'SKIP'
+            '5bb3d469861ed45fe1b541711edd640f25ba4a7a46faabd7205ef564200e9414'
+            'SKIP'
+            '0ddb10f3dd49a044eb5b44bb9e42631ff64ccd3a889f7c36f5e938211c4e1fbc'
+            'SKIP'
+            '3207ca35e29ad640e68e7f38fc3a93d5157d9067dfb993bb02bd4948de5dbe1e'
+            'SKIP'
+            'daf6cfdccba7a1efaa9086536001e85ad93c1024085b431df5ad535843db2917'
+            'SKIP'
+            '0a6356513ec4e67f52cd7bfd29385a87820f09c27482b67eb79d6bd349ca5449'
+            'SKIP'
+            '521397f8b58ec5ab2d824a0443ea3435d6becd7d8ac82ec2c51de79129a86f77'
+            'SKIP'
+            'e1a8169d59dca1a59f301d619ab55218885df0cbff9e95d9741f2a92485be849'
+            'SKIP'
+            '2514eadd613f3c8ac84383200df57bbe7de35c4803ef6f5e096054dac4857888'
+            'SKIP'
+            'efd7c49d4bf0dd564073aaeebd572582be71cfcde545c9e9021d09b22f5eb279'
+            'SKIP'
+            '2e263ed67e038318fbd86af74cf59ed9d0142de4727fcc12cbf90337025f9691'
+            'SKIP'
+            '567774c494b103f7a8aaaad57237d4b15e89627a498c7a0eac2574e92b604a8b'
+            'SKIP'
+            'f26c27346705e82ad046c560ff1099db96076021ee033923ebc009b63f30279c'
+            'SKIP'
+            '25750a008fe2e21092ceb748503960d4ffe6c0a2414b7b96c2ea0b0e7540eb5b'
+            'SKIP'
+            'aec43d19b742a409cc2066222b5faa98c39a89724b455aaaf5f72495f23108b6'
+            'SKIP'
+            '57e305d845edeb24eba5f3ddc567cb0947e0d27ec2b0cf436c224958976e37cf'
+            'SKIP'
+            'b2be8b02daac724c34bce94f0fc2613289feb0a04d5d667d7ed4e01f0ac723c6'
+            'SKIP'
+            'c79453673641075c12d6de561f78a246a951821ba46f4e14d2adc391e26738ab'
+            'SKIP'
+            '906b47b164253179f7e921732ebfc9d478a02b287638d1c862a3190e26946b3e'
+            'SKIP'
+            '9378199978929ae819e78ce25aed9b6ea8816bd88823b4dc14f2c7ead836a382'
+            'SKIP'
+            '523d9f1e1aa89f33b303439fc52946951b6c8c29882310cbec30d0ecad826895'
+            'SKIP'
+            '75bc84564fbc4085d5c2df96d11931e1215b019f8be67545cf20f549d8270356'
+            'SKIP'
+            '0a38f4d8907326f2d406b4105d433b1553b94c21138e3f018f3af5e3a01da2f7'
+            'SKIP'
+            'be93fd5c1f5c6edb6fcbbc8a0e38d7e1d21bf9b1c8b711d485a9f4d15a7d8fd7'
+            'SKIP'
+            '35f0e197bc4a5b9b94c3f4bdce685adac78894564c78437ae8fa25bde8e4337a'
+            'SKIP'
+            '6453ffe2bcdaa9dd6c5299f22275e7ffad4a757bba2d827ef392521a6d81f0bc'
+            'SKIP'
+            '6e27b50876fe9257960a0dd68591c423dda67e4f9aa3c0dedefbc3ebde030bda'
+            'SKIP'
+            '7429242e636e0b786766e1b267702abd36dfb093166e27cbc5e86c535a2a9f50'
+            'SKIP'
+            '5e5b7a7f32a100f7852bfda0669589e646adcb573c077ae56f89af5726ea4b62'
+            'SKIP'
+            'df5cdbe8c0770f9eb82b34609a0093523a22de35593003f2cf3d9b0e785355b2'
+            'SKIP'
+            'c7310a38b6c49e31e293c78f4094def6d36a871d98c421590a67406b0652e2a2'
+            'SKIP'
+            'ca8527ceedfdda8152614d2d9ea3589d0d0158330dd8087023f6013e57cab19c'
+            'SKIP'
+            'd68f608b498445ec383f0558b4614d59a85fe303efe96439fedf0fc5cb93a1a0'
+            'SKIP'
+            '91295e9eebfd520cfda7e896774eba151f16e749098920a59e09a1ca4b8ac627'
+            'SKIP'
+            '2ebc2531c36f1a674b7a720ef028377f5affe4eb0f5ccdd26eac2739c5109575'
+            'SKIP'
+            '0b917d582f6e310dc8632f81b5f065162d391905b4d4ee20fef86941b998932e'
+            'SKIP'
+            'e714f8c2227094f5d94212a433c0e96f92bb28732e6a0953fb42a540ac8a0300'
+            'SKIP'
+            '8063bdddf08eb0ca5672cff7d5c6ac84427f853232c79266abd0ba6262095adf'
+            'SKIP'
+            '201e02dc23447f0b4440180ec94ad4ec78ac6ec76a0a5bd68f823134708076c0'
+            'SKIP'
+            '29c2a22835930f3849974ab8a06e8ff87ed45c1f5dbb311647251af145cdd34f'
+            'SKIP'
+            '4b23f9497b606da309113cc669160bae2f7295ec889bc43abb2fef7213a55d65'
+            'SKIP'
+            '0d5dd2a55fc582f6a802a621816827c8bf02f60309a55b31f2223d691f3a63ff'
+            'SKIP'
+            'bb7314d1973f933c39fd5d2985786d765dd1810021b85d5cad514f5707a6ff64'
+            'SKIP'
+            'ab5cef94a702702a9f17a844375b4d9920a3f7c44834104563e8c5e1308a3037'
+            'SKIP'
+            'faa2ab7e754b17853e12eeb148954dd8d4b4a5e01ea38fe2cdfe676c981e63b1'
+            'SKIP'
+            '720640660b7734596e14bfccd3c34bbe8195be88ef492c39f5fe6df66a06063a'
+            'SKIP'
+            '2c50c1db7dcfee5ee7fd5c6c2732183d26b354436a57c46970167377713712ef'
+            'SKIP'
+            '4462396071ab0e2fc6a497b062d75a1865e5ce600c6257e75b43e89070c23e31'
+            'SKIP'
+            '46ee3be73a91d1242753bf2ea0320a92c2feb290b891983e1834f1f0e6f238a9'
+            'SKIP'
+            'eb02cdaf62112fcec6c06a8b8378b18aadb56568a5f70687572aed7dc4aadd1e'
+            'SKIP'
+            '01eaf3439e99c91079942e8f6ed7ec9fdffde5aea2ca369b67f7d73aa6aa1d23'
+            'SKIP'
+            '7a6d98ae6bf91d6abd98b1c5f2dbbd05905fec28a5c0f61c340efcb6e66c96a2'
+            'SKIP'
+            '764c04e8a115a577b9cf21660288455a4681fb322e3b518cadfa88f8c7572900'
+            'SKIP'
+            '5bba2a85b2caab46e4bf946476bf4f112d306684cc6a9610df7afc3bf1d580e4'
+            'SKIP'
+            '09dca85785a92173f9b8d04126649a8afc26ea8f715bb87bc0c902bba1ab4038'
+            'SKIP'
+            '1b7ba5bdc6f18f0680aa3f61a4e26c48c83ef44d4df533366284d92481548a31'
+            'SKIP'
+            '81acc0fa45095104865f67ef4d7e7d74d10ea429a70ae7e649102300c561cbae'
+            'SKIP'
+            'a28928b2a69329b01c324a169058a7c8c33249e79280ae49d02c3f8040f49e36'
+            'SKIP'
+            'd691d391218b3c0fdbf922060e486ddbda080c24646e0ef0ef95a2ae259cade3'
+            'SKIP'
+            '55c7af3a03a13d8ef33fce2b49a373f38cdf70b89e52284f78f85c2310ccf361'
+            'SKIP'
+            'd568a549bb1d32d93f1db218373755695e5db7d955f50091377d7e04c9d48063'
+            'SKIP'
+            'f0acc402eb648abc5b1b912a998336fabd9d8bcdcf37a359ea6bd6539ae8eea4'
+            'SKIP'
+            'b2005978aea08303c75db730d15ef57b7761e5130047e237fe925fe441954e94'
+            'SKIP'
+            '927b0607fa362642e85bed3d2f13682f4eddba3393f34c19a4be360db6a146f7'
+            'SKIP'
+            '60c6f86e214f441e94b66e46a8177f39d7e32539317342d72c11abb56a4698b8'
+            'SKIP'
+            '797875b95176a9396477b1ac3973005e97223cc1b0c4be585220e99a0fca2eb7'
+            'SKIP'
+            'af48cd3dffaed9fa34c06607741cd5e8efaf283b48ac48b3016d7166525e1ce9'
+            'SKIP'
+            '04f149648e1b1447c144d49c5f3919bc902a95831de37e3f564cbeb9c855e5a3'
+            'SKIP'
+            'f5a14e10cb36d6006ae9f413d31e35ab20225357efe5f529f0c6188f9b42280e'
+            'SKIP'
+            '8ba3117db50a631d6853dd7be787fc4d18f75bb93a841eb872e8a6ed53d3915f'
+            'SKIP'
+            'd72552b6f3d014a9fde023982df357585840555699cd77e02b156775485740f1'
+            'SKIP'
+            'f44ed16054d8160ea8e47b4e0117a813cd94358872df7b6933e317567e7f1337'
+            'SKIP'
+            '74e465e63c339906a05cc7d6df1af602026e53dd88ac8cac098a5566b5ba2ac3'
+            'SKIP'
+            '5b85db1517d23bdd77a935f8f0d65ab5c3c176378b8a28fc4998645f57f923bd'
+            'SKIP'
+            '7bc1f43481420bb3b1a3e335347d3037f4b5ee1b21f7ec825e15eb57ee0eecde'
+            'SKIP'
+            '685ba474724e12c406d7aa442ec9ae12aff06647ae918941d369a5a8973d0df7'
+            'SKIP'
+            'a316db2bcf507c5fe50bf6c7053132e90ae1d63d7e35571066107de6045e80f3'
+            'SKIP'
+            '56fa97587a6b878b072c6e9a554b2254d90c2d7eb5d864106111127190520608'
+            'SKIP'
+            'c64f6f0b741f92a611d6e97dc5451cbb5d422586807ebf5530b305463c3c25f2'
+            'SKIP'
+            '7085c9852895341feb94d71bd7c0b25438bbb264bce32949ab92897784de44a8'
+            'SKIP'
+            '0670db1a7f84591dd1921ac4ac6b03c28ae304268b6a9834dcdf4fd796146676'
+            'SKIP'
+            '9871cd0124ff09fd6bd0586b0707cb94d89e37fdc1dd7685a161c7b71f9009c5'
+            'SKIP'
+            '3479591a01d123ec0736ff1bf38f730d002bf1c7c416b3d8eee450b16640e9e4'
+            'SKIP'
+            '91c11a3907c7851acc8a7fe7f8e35cba239c46e945aef74b9bc96662c12e19c3'
+            'SKIP'
+            '97e48b597eb6b7ab57e2be9220fa69a88e14988a476e92d1b6dd777112277c6f'
+            'SKIP'
+            'e22b506ce168b9fa2fd2778821ddaa38c5cd6bededc5eea010030c62379746ed'
+            'SKIP'
+            '05a3a94097d9d0d3d489ea0f4aee5cb17ade7d059f2ecd6a5f82d8d28c39fc8b'
+            'SKIP'
+            '3088daf303470875de05bb88a87484fcc66084374e5c22d5ea2ce371a9245ebf'
+            'SKIP'
+            '6ffb5a2faf7ae45a9de538f1fec6fbaa87b056113e4108eb423263b9006e40b3'
+            'SKIP'
+            'a33972728eb28ec715a1af7467f39a8565d4e47f782d7354ecff6cc38f68efc4'
+            'SKIP'
+            'de4bf5cd723063b3a7a73c3deb5c156013fd4aa55e79ae63f6b37b462cf3e70c'
+            'SKIP'
+            '5ab8734a6a44e11e7d9f0799466ef63b213262a452dd45896ecf078ab49e3d91'
+            'SKIP'
+            'e0302c8fe9f258df0dfda7d3bc6f2223a0daa36d11dd9bd110661965c9c4c95a'
+            'SKIP'
+            '799bc9c5cd62dd7bb6dd093573bda2c8e30117633013ff67982875a0ee1b3716'
+            'SKIP'
+            'fe292480c72c9cfa4ff2fc900029da985795a638cca7bce0743211e9b05c64a7'
+            'SKIP'
+            '94a8c7eec29f92e983b3829102aa1798cebf03f23189d28695e36da9a5100656'
+            'SKIP'
+            '91ab1815dcd6fac937ed64859411bc9de3308fe49a65ac9cf49ec053bc3d2156'
+            'SKIP'
+            'eb0b99285fc161754cc321e3cca9f0668df4cf15ca3be9623e4a29e74ee0e51e'
+            'SKIP'
+            '2e2e06cb733c1c88751a1117f6a26acbfe05fb0089d6af0e65df3e9664c55fd9'
+            'SKIP'
+            '953e28ccbe3e5db394c4fe5f33390fd823f7dd3fff6e4ec43e9dd670dd01583c'
+            'SKIP'
+            '1786fa94f9f7985a00066af01ab9a88d7a16e881e76b228327116deecd62b336'
+            'SKIP'
+            '9953ad2e319ee157a6dad4ce9812faafd76c6ef798007b414ca288bda63af4ca'
+            'SKIP'
+            'b6be555a90e66bb774df9765130cc5e332ecd50725fd4ff1ec2c6c26b1fa3a07'
+            'SKIP'
+            'b6e8517b6cf84153677640d75c8d0d7434f6f4800ecff7daeb105b45336aafcd'
+            'SKIP'
+            '8aca82365b003e69564688ee3d4e74646d3b0fb3175c51d914cbbc9915b43744'
+            'SKIP'
+            'e51f432cc6d5a47713243496fa1255ccdacafd5df9406c21403976c793a464a7'
+            'SKIP'
+            '3a632a695622ecb57145d125adf7c54e12b07009e9f65ed2b8fa30002c19c4c4'
+            'SKIP'
+            'f64304c386a55fc57a5662b63390e01569f01ed017d0a024c63b0a2228fd06ff'
+            'SKIP'
+            'b4373c6577f5bb57e7f45c13ba8b0dbe81a856dcdaf35678c08f5c365e79274f'
+            'SKIP'
+            '227921e9815ae3eeb74341763383baa5e24a8d5aa540134bc2040d000d0af92d'
+            'SKIP'
+            '348af1f21d3efc96869175178113cf9e1b0e66c76a01aebaa7426701f0d2c4c0'
+            'SKIP'
+            '41389f0785757847f4a04e36a320fe4b5f2f2acd72d7c77c2175d705a65fd88c'
+            'SKIP'
+            '51b77620b8e8157f35d495fd12042f654d7d719c511eadd6a1649c616a72d010'
+            'SKIP'
+            '81dba2eb28cfc9a12a298637d31cf4e5727646f477e8837f38f731cd73800bf6'
+            'SKIP'
+            '406e540ed893a956913252f42de2b1075221482f426a3280747dec40535bc576'
+            'SKIP'
+            '5e720cc5de8783c269f5c899bdc16a0e3e00d10ad12faec673ccbddd8fe61417'
+            'SKIP'
+            '4026b4649c4c17eb3b099bd50e7b6228bb2e7c31bc2ea4c0156d1f58dc3c1e71'
+            'SKIP'
+            '6a7174ea6939a91ac759f5376ec9c12a789bcfb7993bf8855ab5b9caab4df160'
+            'SKIP'
+            '020f5e3a65bcc80a57fc55566572da4a339ea730dcea9a251738d7ed069dd6ef'
+            'SKIP'
+            '0968e718c77c1c9e63acffaa7cb7f4f562a85cb6516ea4adba0037f82a205213'
+            'SKIP'
+            '50615df79b2a55d9358095f34510c415cb15bb07b5f6a7d475f93b25c373ba59'
+            'SKIP'
+            'c70d70adf5950dea45d4e5623eaeed9efc04e641e336dfee9d62ab1d6dcef093'
+            'SKIP'
+            '2024e89ad57ae08923588df4fceba806e22a2133cff75c6bdedb665f62ebf18a'
+            'SKIP'
+            '431f5556e5eeecd0eb04fa012ac2aa4b4cfea038ea18df109a531b60d8e0ea96'
+            'SKIP'
+            '2d3812c3ef6d51bd27f79560816df4eb2954a00eed295332ba3148725265aa3c'
+            'SKIP'
+            'b6f447b6bc65c5e384dd206c0656f8ca12567976559180d7fcc07da3a2ec0a90'
+            'SKIP'
+            '83bc789d50596f975bff3aef4eed3a24c442d4cec3e56bd59466e5c355216ee4'
+            'SKIP'
+            '52a3827adaebed2f06d1e104a3b67d0742e0036b834cd0f90f976ee3a59f9bc0'
+            'SKIP'
+            '31436f995bd723d2f87cb6a77e6288207de3db60f4b279b6513f6e82eee2cbe3'
+            'SKIP'
+            'e1cc6bc40ce92cdfe760e5c865966d27ea916b436e79b89308e1742b01d3df46'
+            'SKIP'
+            '2e15c111193b80f1763ae9a452f2ba74c61d68d51f2320ffa60e9e3a76d80dd3'
+            'SKIP'
+            '96561b92ad10f9c9510af4f4ca328649544cf95927dca96532979eeb34d671f4'
+            'SKIP'
+            '1915e1bfefc9ffc89e5d5307c194f5a82fc26a30f0c5c5323ba1204d2f22f6b9'
+            'SKIP'
+            'b3c7cee5e0eb2bf6ee0d264e9b807d35bd45244ef70b9db4a89b5a18a7357077'
+            'SKIP'
+            '5a83f43325275dc46bfb1ccb2fbd2d2bec9936b83af958ddc1f65a874939a54c'
+            'SKIP'
+            'a3de379ec30c6d4a48c4d083a1d336907ba13cbe55785d8bfaa667185e17a9cc'
+            'SKIP'
+            'b58e6ab20acb761aa3a8795fbc6fd60368abfd11b7e5eb2a257e056f3837aec5'
+            'SKIP'
+            '562f88824737f1f6fae7bfc9323349dd378d3e63a93fe96711b1ed11f4f47b37'
+            'SKIP'
+            '6f7ea675a72e164849705cee14f08b222c3622c01f67f075d4b3f358d85f033e'
+            'SKIP'
+            '12d4443e2109ac821c52f556bb9df9aae998c17d5866dcb8decff241f660f079'
+            'SKIP'
+            'cfe2f1519fc0dafb0b7b0623d181feeac32b7ba50131157d430a6c4fa76596b0'
+            'SKIP'
+            'aa28b256c4140c75907c9bb9b75c76781a391674b841284a5f53eb85050ad03c'
+            'SKIP'
+            'f41fccdc20ce676a7dbf920dc2836b1bedd048b9f8350f7d16a831d4b5b321d6'
+            'SKIP'
+            '1675c06dac3af4a95654f2d8bd5906c1327e89954318fd73f865458aa9e710f1'
+            'SKIP'
+            'a73cfd3839a2e97aa6e4d977caf9104612e3195992177e6028784d39e7473f05'
+            'SKIP'
+            '61a7ebf7d429a36746cda1a6cff69a91603911942d6873255fc098982dea4442'
+            'SKIP'
+            '4c0be3c0caf0947c8cc8b9cc404e865b8d1e38b5aa713cd37f0eca6810025063'
+            'SKIP'
+            '121ccb7e8e2a8c53aad9a324d1101c3bd8f567686495991e41dcf1a8b6545326'
+            'SKIP'
+            'a765d35e4e62a9b861f4552eae4c7efb112f89657b841184a88d014f3374ce1c'
+            'SKIP'
+            'b419f87f0efb22b11080aca6077123121c6e54f59e2509c1039ae7c16ed4bf08'
+            'SKIP'
+            '1681899db1646783c6393570ce256c3a57641e3fb09ca0ca7e83a52e34901c34'
+            'SKIP'
+            '50b4812da8cf96cbc6113a301cdb0fab7f1dcf0c2eba7f5590a05c3039a3f2d3'
+            'SKIP'
+            'c535e71781ba08e338fb5848a54fc5e84f6ef189f43b5744c94eaca1a4dfc566'
+            'SKIP'
+            'edbe82dcdd2e1348b0f4ae781b7ea642cd2a2ffa4816d1965e8b68238b41d94b'
+            'SKIP'
+            '8cc41fdb7f69cce98f96f3465455f96e60b650906602f0b13f789c0737b1f060'
+            'SKIP'
+            '3bb17eabdb7809fb2dd6b2e91d0d67f9d168414623b569ac50cdaa427f66889e'
+            'SKIP'
+            '1a8531477cfa366d316d22074de713c614fecfe1b90341b24a9d29ac48b1b9dc'
+            'SKIP'
+            '97712407a7c116f0825f6edd3ed51a67749e839489c321dee7d2481df04596b3'
+            'SKIP'
+            'afe21b4ffe0848a3a294952488f6dbad7d117a8f6cfdd17cd88caef714ac53b6'
+            'SKIP'
+            '11fdba0d5afe1a9f66babe04b203f9dc45e1ecd32811a17545adb37e0d88d996'
+            'SKIP'
+            '92da56bc69eef56ae2f2e9da336d7ec4b20e45578a22e258935d687c042ba056'
+            'SKIP'
+            '75d7921c85491d5b27ead97c266240c915c29a9e7efe1d2a4f595c84bc1256cc'
+            'SKIP'
+            '4a4a90a7cc0a7b903ab50f3302352131c9041d02adc6daf73131c5ba358c49f8'
+            'SKIP'
+            '3793d2ec1392e5edc28468d64b98b1279bac417e05df0a6b9fec05484af96e84'
+            'SKIP'
+            '930ca72b116e2d2c600feedaa0e2ff0215923428fd2f0f71c5dab684574bbd87'
+            'SKIP'
+            'bf07a8d0cd246c5dba3ad54fff1a3c7243ce266e936e9f64c4b0fd2a3314cfe2'
+            'SKIP'
+            '95cce4c535ecfc459096956c0b1822e5958b6098f97bc79878a8146359ca8e77'
+            'SKIP'
+            '578893423f29e0e5b3d99e88ad1648e6348ab2e8b635ac946ca6dff04014e459'
+            'SKIP'
+            '375e77fe0c23c59d3a077fafc94e0d77b56230c24e6f48ff9dfaa15747835b38'
+            'SKIP'
+            'd8fd05d530258fb4cbad7a068ccd125b1f4962c0b42452d1e29f79049df4df7d'
+            'SKIP')
+validpgpkeys=('C2839ECAD9408FBE9531C3E9F434A1EFAFEEAEA3') # "LibreOffice Build Team (CODE SIGNING KEY) <build at documentfoundation.org>"
+
+prepare() {
+  for i in ${pkgname[@]}; do
+    _pkglang=${i#*-}
+    _pkglang=${_pkglang/fresh-}
+
+    echo ${_pkglang} " unpacking..."
+    cd "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_${_pkglang}/RPMS
+
+    # remove dictionaries if shipped - we ship them now in separate packages
+    rm -vf *-dict-*.rpm || /bin/true
+
+    for j in *.rpm
+      do bsdtar -x -f $j
+    done
+
+    # the helppack rpm goes also into the langpack dir
+    bsdtar -x -f \
+      "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_helppack_${_pkglang}/RPMS/*.rpm \
+      || true
+  done
+}
+
+_package() {
+  pkgdesc="$2 language pack for LibreOffice Fresh"
+  depends=('libreoffice-fresh')
+  provides=("libreoffice-$1")
+  conflicts=("libreoffice-$1")
+
+  cd "$srcdir"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_$1/RPMS
+  mkdir -p "$pkgdir"/usr/lib/libreoffice
+  cp -R opt/libreoffice*/* "$pkgdir"/usr/lib/libreoffice
+  chown root:root -R "$pkgdir"/usr/lib/libreoffice
+}
+
+for _lang in "${_languages[@]}"; do
+  _locale=${_lang%% *}
+  _pkgname=libreoffice-fresh-$_locale
+  source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_langpack_${_locale}.tar.gz{,.asc})
+
+  if curl -o /dev/null -s -I -f ${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz; then
+    source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz{,.asc})
+  fi
+
+  pkgname+=($_pkgname)
+  eval "package_${_pkgname}() {
+    _package $_lang
+  }"
+done


More information about the arch-commits mailing list